Bug 664208 (ghc-fingertree)

Summary: Review Request: ghc-fingertree - A generic finger-tree structure
Product: [Fedora] Fedora Reporter: Narasimhan <lakshminaras2002>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED DEFERRED QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: azneita, fedora-package-review, haskell-devel, notting
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: notready
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-06-24 06:25:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 712659    

Description Narasimhan 2010-12-19 03:38:33 EST
SRPM link: https://sites.google.com/site/lakshminaras2002/home/ghc-fingertree-0.0.1.0-1.fc14.src.rpm?attredirects=0&d=1

SPEC file link: https://sites.google.com/site/lakshminaras2002/home/ghc-fingertree.spec?attredirects=0&d=1

rpmlint output:

rpmlint  -i *.rpm ../ghc-fingertree.spec
ghc-fingertree-prof.x86_64: E: devel-dependency ghc-fingertree-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-fingertree-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-fingertree-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-7.0.1/fingertree-0.0.1.0/libHSfingertree-0.0.1.0_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 1 Jens Petersen 2011-01-28 06:07:13 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 2 Narasimhan 2011-04-03 01:56:05 EDT
http://narasim.fedorapeople.org/package_reviews/ghc-fingertree-0.0.1.0-2.fc14.src.rpm

http://narasim.fedorapeople.org/package_reviews/ghc-fingertree.spec

rpmlint  -i ghc-fingertree.spec ~/rpmbuild/SRPMS/ghc-fingertree-0.0.1.0-2.fc14.src.rpm  ~/rpmbuild/RPMS/i686/ghc-fingertree-*.rpm
ghc-fingertree-prof.i686: E: devel-dependency ghc-fingertree-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-fingertree-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-fingertree-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/fingertree-0.0.1.0/libHSfingertree-0.0.1.0_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 2 warnings.
Comment 3 Heherson Pagcaliwagan 2011-11-06 04:50:10 EST

*** This bug has been marked as a duplicate of bug 751609 ***
Comment 4 Narasimhan 2013-01-07 02:29:22 EST
Reviving review request. Marking bug 751609 as closed since there has been no response from the packager.
Comment 5 Narasimhan 2013-01-07 02:30:08 EST
*** Bug 751609 has been marked as a duplicate of this bug. ***
Comment 6 Narasimhan 2013-01-07 02:45:47 EST
Spec file: http://narasim.fedorapeople.org/package_reviews/ghc-fingertree.spec
SRPM: http://narasim.fedorapeople.org/package_reviews/ghc-fingertree-0.0.1.1-1.fc17.src.rpm

rpmlint output:
rpmlint  -i ghc-fingertree-0.0.1.1-1.fc17.src.rpm ghc-fingertree-0.0.1.1-1.fc17.x86_64.rpm ghc-fingertree-devel-0.0.1.1-1.fc17.x86_64.rpm ../ghc-fingertree.spec
ghc-fingertree.src: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.src: W: spelling-error %description -l en_US www -> WWW, wow
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.src: W: spelling-error %description -l en_US soi -> sou, so, oi
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.src: W: spelling-error %description -l en_US uk -> UK, u, k
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.src: W: spelling-error %description -l en_US ross -> Ross, toss, rods
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.src: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.x86_64: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.x86_64: W: spelling-error %description -l en_US soi -> sou, so, oi
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.x86_64: W: spelling-error %description -l en_US uk -> UK, u, k
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.x86_64: W: spelling-error %description -l en_US ross -> Ross, toss, rods
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree.x86_64: W: spelling-error %description -l en_US html -> HTML, ht ml, ht-ml
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree-devel.x86_64: W: spelling-error %description -l en_US http -> HTTP
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree-devel.x86_64: W: spelling-error %description -l en_US www -> WWW, wow
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree-devel.x86_64: W: spelling-error %description -l en_US soi -> sou, so, oi
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree-devel.x86_64: W: spelling-error %description -l en_US uk -> UK, u, k
The value of this tag appears to be misspelled. Please double-check.

ghc-fingertree-devel.x86_64: W: spelling-error %description -l en_US ross -> Ross, toss, rods
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 17 warnings.

f18 build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4844449
rawhide build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4844455
Comment 7 Jens Petersen 2013-06-24 06:25:04 EDT
Closing out old Haskell Package Reviews that use deprecated macros
like %ghc_devel_package, etc, which are no longer available in F20 Rawhide.  Please update your package using cabal-rpm-0.8.x or later and re-open
or file a new Review Request.  Thanks!